export declare class Collection {
    id: string;
    title: string;
    slug: string;
    description: string;
    type: 'manual' | 'automatic';
    filter: string | null;
    featureImage: string | null;
    createdAt: Date;
    updatedAt: Date;
    deleted: boolean;
    private constructor();
    toJSON(): {
        id: string;
        title: string;
        slug: string;
        description: string;
        type: "manual" | "automatic";
        filter: string | null;
        featureImage: string | null;
        createdAt: Date;
        updatedAt: Date;
    };
    static validateDateField(date: any, fieldName: string): Date;
    static create(data: any): Promise<Collection>;
}
